/******************************************************************************
 * Steve Rider - stever@transmission23.com
 * QuickPics
 *   Image galleries for the web made easy
 *
 * html.h - html output
 *
 *****************************************************************************/
/* 17 February 98 */

#ifndef HTML_H
#define HTML_H

#include "qp.h"

void HTML_CreateGallery();
void HTML_WriteIndexPage(dirrec *dir, char *title);
void HTML_WritePicPage(dirrec *dir, imgrec *img, char *title);
void HTML_WriteBodyProperties(FILE *f, char *bg, char *text, char *link, char *vlink, char *alink);
void HTML_WriteToolbar(FILE *f, char *relpath, dirrec *current_dir,
	dirrec *oldest_parent, int picpage);
void HTML_WriteFormattedText(FILE *f, char *s, int size,
	char *font, char *color, int bold, int italic);
void HTML_WriteDescription(FILE *f, char *desc, char *footer, int size,
	char *font, char *color, int bold, int italic);
void HTML_WriteComment(FILE *f, char *comment);

#endif /* HTML_H */
